"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-39/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945CAEE0>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945CAF70>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1040>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D10D0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1160>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D11F0>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1280>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1310>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D13A0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1430>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D14C0>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1550>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D15E0>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1670>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1700>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1790>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1820>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D18B0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1940>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D19D0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1A60>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1AF0>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1B80>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1C10>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1D30>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1CA0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1DC0>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1E50>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1EE0>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D1F70>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6040>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D60D0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6160>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D61F0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6280>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6310>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D63A0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6430>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D64C0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6550>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D65E0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6670>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6700>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6790>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6820>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D68B0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6940>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D69D0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6A60>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6AF0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6B80>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6C10>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6CA0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6D30>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6DC0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6E50>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6EE0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D6F70>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9040>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D90D0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9160>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D91F0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9280>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9310>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D93A0>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9550>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9430>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D95E0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9670>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9700>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9790>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9820>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9940>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D98B0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D99D0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9A60>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9AF0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9C10>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9B80>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9CA0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9D30>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9DC0>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9E50>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9EE0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x0000026F945D9F70>)]
name: str = 'fr_HOCCN'
